Pular para o conteúdo principal
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
dashboard
/
volume
Get volume statistics
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/dashboard/volume \
  --header 'Authorization: Bearer <token>'
{
  "matchedAmount": "<string>",
  "matchedTransactions": 123,
  "periodEnd": "<string>",
  "periodStart": "<string>",
  "totalAmount": "<string>",
  "totalTransactions": 123,
  "unmatchedAmount": "<string>",
  "unmatchedCount": 123
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

contextId
string
obrigatório

The unique identifier of the reconciliation context.

Parâmetros de consulta

date_from
string
obrigatório

Start date (YYYY-MM-DD)

date_to
string
obrigatório

End date (YYYY-MM-DD)

source_id
string

Source ID filter

Resposta

Indicates that the request was successful and the response contains the expected data.

matchedAmount
string
matchedTransactions
integer
periodEnd
string
periodStart
string
totalAmount
string
totalTransactions
integer
unmatchedAmount
string
unmatchedCount
integer